getconfig(1)

NAME
getconfig - get configuration information for the __xservername__ server

SYNOPSIS
getconfig [option ...]

DESCRIPTION
getconfig is a programatic interface that is used by the __xservername__ server to get configuration information about video hardware when operating without an __xconfigfile__ file.

This implementation of getconfig is written in perl. It processes a prioritized and ordered list of rules supplied internally and from meta-configuration files. The rules are in the form of perl expressions. getconfig writes to standard output the __xconfigfile__-style configuration data specified by the last highest priority rule that evaluates to true. Information about the format of the meta-configuration files can be found in the getconfig(__filemansuffix__) manual page.

OPTIONS

-I search-path
    Specify the search path to use for meta-config files. search-path is a comma-separated list of directories to search. Each directory in the search path is searched for files with a .cfg suffix. Each such file is opened and checked for a valid signature string. Rules are read from files with a valid signature string and appended to the list of rules to evaluate. If no search path is specified, only the internally supplied configuration rules will be used.

-D  Enable debugging output.

-V  Print out the version information and exit.

-X  __xservername__-version Specify the __xservername__ version in numeric (integer) form.

-b subsys-id
    Specify the PCI subsystem ID of the video device.

-c class
    Specify the PCI class of the video device.

-d device-id
    Specify the PCI devide ID of the video device.

-r revision
    Specify the PCI revision of the video device.

-s subsysvendor-id
    Specify the PCI subsystem vendor ID of the video device.

-v vendor-id
    Specify the PCI vendor ID of the video device.

FILES
.cfg files located in the search path. The search path typically specified by the __xservername__ server is:

    /etc/X11
    __projectroot__/etc/X11
    <modulepath>
    __projectroot__/lib/X11/getconfig

where <modulepath> is the __xservername__ server's module search path.

SEE ALSO
getconfig(__filemansuffix__), __xservername__(__appmansuffix__), __xconfigfile__(__filemansuffix__).

AUTHORS
The __xservername__ automatic configuration support and the getconfig interface was written by David H. Dawes, with the support of X-Oz Technologies for XFree86.